echo off

echo Instaluje se tiskarna "Tisk ZCU" pro Windows x64 PS verze. 3.0.2.0
echo ------------------------------------------------------------------

REM Smazani stare tiskarny Tisk ZCU.
"reg_read" HKLM "SYSTEM\ControlSet001\Control\Print\Printers\Tisk ZCU" > null
if "%ERRORLEVEL%" EQU "1" goto PrintExist

rundll32 printui.dll,PrintUIEntry /dl /n "Tisk ZCU"

REM Pokud jiz Tiskarna nexistuje pokracuje pouze instalace tiskarny
:PrintExist

REM Instalace portu tisk.zcu.cz.
"reg_read" HKLM "SYSTEM\ControlSet001\Control\Print\Monitors\Standard TCP/IP Port\Ports\tisk.zcu.cz" > null
if "%ERRORLEVEL%" EQU "0" goto PortExist

cscript prnport.vbs -a -r tisk.zcu.cz -h tisk.zcu.cz -o lpr -t -q lp -2e

REM Pokud jiz LPR port existuje pokracuje pouze instalace tiskarny
:PortExist

echo Tisk ZCU

rundll32 printui.dll,PrintUIEntry /if /b "Tisk ZCU" /f "LMUD1n40.inf" /r "tisk.zcu.cz" /m "Lexmark Universal v2 PostScript 3 Emulation"

rundll32 printui.dll,PrintUIEntry /Sr /n "Tisk ZCU" /a "Tisk_ZCU.dat" g d


echo ---------------------------------
echo Instalace tiskarny byla ukoncena.
pause